//Werte wurden mit dem der Entwicklungsumgebung beigelegten
//Beispiel "Examples->Analog->AnalogInSerial" erzeugt

//Temperatur muss mit 10 multipliziert und als Ganzzahl 
//gegeben werden. Die Reihenfolge ist egal.

#define wert1 108
#define temp1 0   //Grad Celsius/10
#define wert2 99
#define temp2 230 //Grad Celsius/10

void setup() {
  Serial.begin(9600); 
}

void loop() {
  // lese Wert vom Analogpin in Variable
  int analogValue = analogRead(0);
  analogValue=map(analogValue,wert1,wert2,temp1,temp2);
  // gebe das Ergebnis mit einer Nachkommastelle aus:
  Serial.print("Temperatur: ");
  Serial.println((analogValue/10.0),1);
  // Warte 1 Sekunde bevor der nächste Wert gelesen wird
  delay(1000);
}

